%define upstream_name    Test-Weaken
%define upstream_version 3.022000

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Test that freed memory is, in fact, freed
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Scalar::Util) >= 1.180.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
'Test::Weaken' helps detect unfreed Perl data in arrays, hashes, scalars,
objects, etc, by descending recursively through structures and watching
that everything is freed. Unfreed data is a useless overhead and may cause
an application to abend due to lack of memory.

Normally if the last reference to something is discarded then it and
anything in it is freed automatically. But this might not occur due to
circular references, unexpected global variables or closures, or reference
counting mistakes in XSUBs.

'Test::Weaken' is named for the strategy used to detect leaks. References
are taken to the test objects and all their contents, then those references
are weakened and expected to be then freed.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 3.22.0-3.mga4
+ Revision: 515439
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 3.22.0-2.mga3
+ Revision: 373912
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 shlomif <shlomif> 3.22.0-1.mga3
+ Revision: 338118
- update to 3.022000

* Wed Aug 29 2012 kharec <kharec> 3.20.0-1.mga3
+ Revision: 285362
- update to 3.020000

* Fri Jun 29 2012 kharec <kharec> 3.18.0-1.mga3
+ Revision: 264975
- imported package perl-Test-Weaken


* Fri Jun 29 2012 cpan2dist 3.018000-1mga
- initial mageia release, generated with cpan2dist
